Skip to main content
`Ctrl`+`K`

# TaoMonitorDrawCtxCreate

Creates the monitor context for `TaoMonitorSolutionDraw()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorDrawCtxCreate(MPI_Comm comm, const char host[], const char label[], int x, int y, int m, int n, PetscInt howoften, TaoMonitorDrawCtx *ctx)

Collective

## Input Parameters

- comm - the communicator to share the context

- host - the name of the X Windows host that will display the monitor

- label - the label to put at the top of the display window

- x - the horizontal coordinate of the lower left corner of the window to open

- y - the vertical coordinate of the lower left corner of the window to open

- m - the width of the window

- n - the height of the window

- howoften - how many `Tao` iterations between displaying the monitor information

## Output Parameter

- ctx - the monitor context

## Options Database Keys

- -tao_monitor_solution_draw - use `TaoMonitorSolutionDraw()` to monitor the solution

- -tao_draw_solution_initial - show initial guess as well as current solution

## Note

The context this creates, along with `TaoMonitorSolutionDraw()`, and `TaoMonitorDrawCtxDestroy()` are passed to `TaoMonitorSet()`.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorSet()`, `TaoMonitorDefault()`, `VecView()`, `TaoMonitorDrawCtx()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages